summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
authorAric Gardner <agardner@linuxfoundation.org>2016-08-17 15:02:27 -0400
committerAric Gardner <agardner@linuxfoundation.org>2016-08-17 15:03:10 -0400
commit5f0fb5c7c9a53d70e3233f98f0067a50c23c4033 (patch)
tree41dc18235ffebf0cbcad90aa844bad8e82cc3981 /utils
parent8b0fd344c0e78f39349879385772a3686268504e (diff)
Jenkins connection script needs to be run from $jenkinshome
Exit if script is run from the wrong directory Change-Id: I693ab65b4439c5b4d3b609e95295fa43e8cd3a58 Signed-off-by: Aric Gardner <agardner@linuxfoundation.org>
Diffstat (limited to 'utils')
-rwxr-xr-xutils/jenkins-jnlp-connect.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/utils/jenkins-jnlp-connect.sh b/utils/jenkins-jnlp-connect.sh
index 8dcaf35c5..4b710cab2 100755
--- a/utils/jenkins-jnlp-connect.sh
+++ b/utils/jenkins-jnlp-connect.sh
@@ -38,6 +38,11 @@ main () {
exit 1
fi
+ if [[ $(pwd) != "$jenkinshome" ]]; then
+ echo "This script needs to be run from the jenkins users home dir"
+ exit 1
+ fi
+
if [[ -z $slave_name || -z $slave_secret ]]; then
echo "slave name or secret not defined, please edit this file to define it"
exit 1